Bug 483532 - WARNING: at net/core/dev.c:1505 skb_gso_segment+0x6e/0x153()
WARNING: at net/core/dev.c:1505 skb_gso_segment+0x6e/0x153()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 03:50 EST by David Woodhouse
Modified: 2009-07-14 14:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-02-02 03:50:10 EST
Since updating to F9, I see lots of these...

WARNING: at net/core/dev.c:1505 skb_gso_segment+0x6e/0x153() (Tainted: G        W)
Modules linked in: nfs nfsd lockd nfs_acl auth_rpcgss exportfs bnep autofs4 w83627hf eeprom w83781d hwmon_vid hwmon sunrpc bridge stp dummy ipv6 iptable_nat ip_tables x_tables dm_mirror dm_log dm_mod snd_usb_lib snd_rawmidi snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_pcm snd_timer snd_page_alloc snd_mixer_oss snd soundcore rfcomm l2cap bluetooth nf_nat_irc nf_conntrack_irc nf_nat_pptp nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_proto_gre nf_nat_ftp nf_nat nf_conntrack_ipv4 nf_conntrack_ftp nf_conntrack b1pci b1dma b1 3c59x sr_mod mii kernelcapi skge pcspkr cdrom amd_rng i2c_amd756 i2c_core sg ata_generic pata_acpi pata_amd pata_sil680 libata sd_mod scsi_mod crc_t10dif raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache [last unloaded: crc_ccitt]
Pid: 3262, comm: ssh Tainted: G        W 2.6.27.9-73.fc9.i686 #1
 [<c0643304>] ? printk+0xf/0x13
 [<c042b1a8>] warn_on_slowpath+0x47/0x70
 [<f8913d7e>] ? skge_xmit_frame+0x19c/0x2aa [skge]
 [<c05d5f2b>] ? dev_hard_start_xmit+0x1c3/0x23c
 [<c0644f61>] ? _spin_lock+0x8/0xb
 [<c05e47e4>] ? __qdisc_run+0xf1/0x1c5
 [<c043c328>] ? add_wait_queue+0x2b/0x30
 [<c043c34f>] ? remove_wait_queue+0x22/0x27
 [<c049a21d>] ? poll_freewait+0x2f/0x78
 [<c05d5c83>] skb_gso_segment+0x6e/0x153
 [<c05d5f00>] dev_hard_start_xmit+0x198/0x23c
 [<c05d6436>] dev_queue_xmit+0x3ad/0x466
 [<f8af7675>] ip6_output_finish+0x83/0xdb [ipv6]
 [<f8af946b>] ip6_output2+0x1d2/0x1da [ipv6]
 [<f8af9ea6>] ip6_output+0xa33/0xa41 [ipv6]
 [<c064523c>] ? _spin_lock_irqsave+0x29/0x30
 [<c061de70>] ? bictcp_cong_avoid+0x13/0x2c7
 [<c0433d56>] ? mod_timer+0x30/0x34
 [<f8af9083>] ip6_xmit+0x2c6/0x378 [ipv6]
 [<f8b164ac>] inet6_csk_xmit+0x1b9/0x1c7 [ipv6]
 [<f8b1130b>] ? tcp_v6_send_check+0x39/0x8f [ipv6]
 [<c0603224>] tcp_transmit_skb+0x584/0x5bb
 [<c06055a3>] __tcp_push_pending_frames+0x651/0x728
 [<c05f99b1>] tcp_push+0x8b/0x91
 [<c05fb948>] tcp_sendmsg+0x61c/0x6c6
 [<c05cb3c9>] __sock_sendmsg+0x45/0x4e
 [<c05cb49d>] sock_aio_write+0xcb/0xd8
 [<c048fb59>] do_sync_write+0xab/0xe9
 [<c043c166>] ? autoremove_wake_function+0x0/0x33
 [<c04dcc46>] ? security_file_permission+0xf/0x11
 [<c0490359>] vfs_write+0x95/0xdf
 [<c049043c>] sys_write+0x3b/0x60
 [<c0403cca>] syscall_call+0x7/0xb
 =======================
---[ end trace 50a4104773249142 ]---
Comment 1 Chuck Ebbert 2009-02-27 02:13:01 EST
That's:
if (WARN_ON(skb->ip_summed != CHECKSUM_PARTIAL)) {

Looks like it's still not fixed in 2.6.29-rc. This adds diagnostics to help track it down:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=67fd1a731ff1a990d4da7689909317756e50cb4d
Comment 2 Chuck Ebbert 2009-02-27 02:27:26 EST
added debug patch to cvs
Comment 3 David Woodhouse 2009-02-27 15:57:38 EST
May be relevant that the offending device is in a bridge.

Will be home next week and can try to debug further.
Comment 4 Bug Zapper 2009-06-09 23:31:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 14:06:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.